Name:          tea
Version:       63.1.0
Release:       %mkrel 2
Summary:       A powerful Qt-based editor with useful functions for HTML and LaTeX editing
Group:         Editors
License:       GPLv3+
URL:           https://tea.ourproject.org/
Source0:       https://github.com/psemiletov/tea-qt/archive/%{version}/%{name}-qt-%{version}.tar.gz
Patch1:        0001-Add-Appstream-metainfo-and-install-desktop-file-with-FQN.patch

BuildRequires: pkgconfig(ddjvuapi)
BuildRequires: pkgconfig(hunspell)
BuildRequires: pkgconfig(nuspell)
BuildRequires: pkgconfig(speech-dispatcher)
BuildRequires: pkgconfig(zlib)

BuildRequires: pkgconfig(Qt6Core)
BuildRequires: pkgconfig(Qt6Gui)
BuildRequires: pkgconfig(Qt6Network)
BuildRequires: pkgconfig(Qt6Widgets)
BuildRequires: pkgconfig(Qt6Xml)
BuildRequires: pkgconfig(Qt6Qml)
BuildRequires: pkgconfig(Qt6Quick)
BuildRequires: pkgconfig(Qt6PrintSupport)
BuildRequires: pkgconfig(poppler-qt6)

BuildRequires: cmake
BuildRequires: qttools6

%description
TEA is the lightweight Qt-based editor with functions
for HTML and LaTeX editing. It support for multiple encodings,
code snippets, templates, plugins, user hotkeys,
external scripts, string manipulation functions, bookmarks,
syntax highlighting, and many more.

%prep
%autosetup -n %{name}-qt-%{version} -p1

%build
%cmake \
  -DUSE_ASPELL=ON  \
  -DUSE_NUSPELL=ON \
  -DUSE_PRINTER=ON \
  -DUSE_PDF=ON     \
  -DUSE_DJVU=ON    \
  -DUSE_SPEECH=ON
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS ChangeLog README.md TODO
%license COPYING
%{_bindir}/tea
%{_datadir}/applications/org.semiletov.tea.desktop
%{_iconsdir}/hicolor/*/apps/tea.png
%{_iconsdir}/hicolor/scalable/apps/tea.svg
%{_metainfodir}/org.semiletov.tea.metainfo.xml


%changelog
* Sun Jan 12 2025 wally <wally> 63.1.0-2.mga10
+ Revision: 2138415
- rebuild for icu 76.1

* Tue Nov 05 2024 daviddavid <daviddavid> 63.1.0-1.mga10
+ Revision: 2112505
- new version: 63.1.0

* Wed Jan 04 2023 daviddavid <daviddavid> 62.0.2-1.mga9
+ Revision: 1929842
- new version: 62.0.2
- switch to Qt6

* Mon Apr 04 2022 umeabot <umeabot> 60.0.3-2.mga9
+ Revision: 1843589
- Mageia 9 Mass Rebuild

* Sat May 01 2021 daviddavid <daviddavid> 60.0.3-1.mga9
+ Revision: 1720686
- new version: 60.0.3

* Thu Dec 17 2020 umeabot <umeabot> 47.0.1-5.mga8
+ Revision: 1659964
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 47.0.1-4.mga8
+ Revision: 1525500
- Mageia 8 Mass Rebuild

* Thu Apr 18 2019 umeabot <umeabot> 47.0.1-3.mga7
+ Revision: 1392936
- Rebuild with meson 0.50.1

* Tue Apr 02 2019 umeabot <umeabot> 47.0.1-2.mga7
+ Revision: 1384977
- Qt5 Rebuild

* Tue Mar 26 2019 daviddavid <daviddavid> 47.0.1-1.mga7
+ Revision: 1380238
- new version: 47.0.1

* Wed Jan 23 2019 daviddavid <daviddavid> 47.0.0-2.mga7
+ Revision: 1360385
- add missing BR on qttools5 (meson check it)
- add some others missing BRs

* Thu Nov 29 2018 semiletov <semiletov> 47.0.0-1.mga7
+ Revision: 1336761
- update to 47.0.0

* Fri Nov 23 2018 daviddavid <daviddavid> 46.3.0-2.mga7
+ Revision: 1333498
- rebuild for new hunspell 1.7.0

* Sat Sep 29 2018 semiletov <semiletov> 46.3.0-1.mga7
+ Revision: 1310930
- update to upstream version

* Tue Sep 25 2018 semiletov <semiletov> 46.2.0-1.mga7
+ Revision: 1304827
- sync with upstream version

* Wed Sep 19 2018 semiletov <semiletov> 46.1.0-1.mga7
+ Revision: 1277575
- update to upstream, the source is point to gitub release

* Sat Sep 15 2018 semiletov <semiletov> 46.0.0-1.mga7
+ Revision: 1259179
- the spec has been rewritten for meson+ninja, upstream version update

* Mon Jul 09 2018 semiletov <semiletov> 45.0.2-1.mga7
+ Revision: 1242804
- updated to the upstream version

* Fri Dec 29 2017 semiletov <semiletov> 44.1.1-6.mga7
+ Revision: 1187223
- spec file fixes and cleanup

* Fri Dec 29 2017 semiletov <semiletov> 44.1.1-5.mga7
+ Revision: 1187181
+ rebuild (emptylog)

* Mon Nov 27 2017 semiletov <semiletov> 44.1.1-4.mga7
+ Revision: 1180072
- installation prefix has been fixed
- packager field removed
- e-mail fixed

* Mon Nov 20 2017 semiletov <semiletov> 44.1.1-1.mga7
+ Revision: 1177987
- building i586 possible fix
- spec fixes and update
- more spec fixes
- spec fixes and update to upstream
- spec file update
- imported package tea
+ zezinho <zezinho>
- remove useless BR - remove unused source
- remove useless defattr - add missing BR for QT5 print

